import request from '@/api/request'

export function getJobs () {
  return request({
    url: '/Job/GetJobs',
    method: 'get'
  })
}

export function executeJob (jobName) {
  return request({
    url: '/Job/Execute',
    method: 'post',
    data: { jobName }
  })
}

export function pauseJob (jobName) {
  return request({
    url: '/Job/Pause',
    method: 'post',
    data: { jobName }
  })
}

export function resumeJob (jobName) {
  return request({
    url: '/Job/Resume',
    method: 'post',
    data: { jobName }
  })
}
